# Lexos Roadmap (DRAFT)

The following roadmap incorporates most of the issues in GitHub and the projected developments in our grant proposals. As a rough timetable, it seems like we could get to v3.5 by midsummer 2017.

## v3.1. Minor Updates and Bug Fixes

### Already Done:

1.Scrubber stop word radio button settings were made persistent ([#260](https://github.com/WheatonCS/Lexos/issues/260)).
2.Labeling of duplicate original sources in Manage fixed ([#356](https://github.com/WheatonCS/Lexos/issues/356)).
3.MUFI display tables were proofread ([#458](https://github.com/WheatonCS/Lexos/issues/458)) and the UI for reading the tables was enhanced with Ajax loading and sort, search, and paging capabilities.
4.Possible errors caused by empty documents generated by Cutter were prevented by trimming documents of leading and ending white space and milestones ([#471](https://github.com/WheatonCS/Lexos/issues/471)).
5.In Cutter, the “Cut documents on this term” field is now hidden on page load ([#486](https://github.com/WheatonCS/Lexos/issues/486)).
6.	Scalar’s internal links in “In the Margins” are now converted to full urls opening in a new window in Lexos ([#487](https://github.com/WheatonCS/Lexos/issues/487)).
7.Multicloud improvements: (a) form submission converted to Ajax; (b) warning dialog added to tell user about browser freezes; (c) wordCounts array generated server-side for better performance; (d) coerce MALLET data to UTF-8 ([#498](https://github.com/WheatonCS/Lexos/issues/498)).
8.A download link was added to the Manage tool.
9.Scrubber and Cutter previews now display the name of the document label instead of the source file.
10. Improvements made to the `Delete Selected`, `Merge Selected Documents`, and `Apply Class to Selected Documents` functions in Manage.
11. Fixed bug causing tokenization settings to fail in visualization tools ([#519](https://github.com/WheatonCS/Lexos/issues/519))

### To Do:

1.Finish the improved Windows installer ([#490](https://github.com/WheatonCS/Lexos/issues/490)) (almost done).

## v3.2. Minor Enhancements, Code Cleanup, and Workflow Improvements

1. Migrate to python3 ([#434](https://github.com/WheatonCS/Lexos/issues/434)). **Done**
2. Follow PEP8 standards ([#509](https://github.com/WheatonCS/Lexos/issues/509)) **Done**
3. Scrubber hyphen and consolidation enhancements ([#438](https://github.com/WheatonCS/Lexos/issues/438)). **Priority**
4. Handle digits more robustly in Scrubber. ([#460](https://github.com/WheatonCS/Lexos/issues/460))
5. Migrate all remaining form submissions to Ajax ([#494](https://github.com/WheatonCS/Lexos/issues/494)). **Priority**
6. Enable the user to select how to replace markup elements in Scrubber. ([#457](https://github.com/WheatonCS/Lexos/issues/457)) **Priority**
7. Adopt continuous integration for the workflow ([#497](https://github.com/WheatonCS/Lexos/issues/497)). **DONE**
8. Move dev docs and possibly installation materials to the Wiki or another repo ([#489](https://github.com/WheatonCS/Lexos/issues/489)). **Done**
9. Add document label truncation where necessary ([#501](https://github.com/WheatonCS/Lexos/issues/501)). **Priority**
10. File structure refactor ([#541](https://github.com/WheatonCS/Lexos/pull/541)). **Done**

## v3.3. Code Cleanup, and Workflow Improvements

1. Introduce error handling Ajax responses and other server errors ([#495](https://github.com/WheatonCS/Lexos/issues/495)). **Done (at least, the issue is closed)**
2. Refactor Javascript ([#496](https://github.com/WheatonCS/Lexos/issues/496)).

## v3.4. Re-Enable Lost Functionality

1. Re-implement TF-IDF in Normalize options ([#444](https://github.com/WheatonCS/Lexos/issues/444)).
2. Re-implement commented out silhouette score settings ([#478](https://github.com/WheatonCS/Lexos/issues/478)).

## v3.5. Preparations for New Functions

1. Add more averages to statistics table ([#255](https://github.com/WheatonCS/Lexos/issues/255)).
2. Investigate why d3.js v40 doesn’t work ([#464](https://github.com/WheatonCS/Lexos/issues/464)).
3. Develop a user setting to display MUFI fonts ([#365](https://github.com/WheatonCS/Lexos/issues/365)).
4. Decide what totals and averages will be displayed in the Tokenizer table ([#462](https://github.com/WheatonCS/Lexos/issues/462)).
5. Fix Document label ordering issue in Tokenizer ([#470](https://github.com/WheatonCS/Lexos/issues/470)).
6. Make some constants user-configurable ([#472](https://github.com/WheatonCS/Lexos/issues/472), [#454](https://github.com/WheatonCS/Lexos/issues/454)).

## v3.6. Begin Major Refactoring

1. Begin indexing strategy (indirectly influences issues [#429](https://github.com/WheatonCS/Lexos/issues/429) and [#476](https://github.com/WheatonCS/Lexos/issues/476)). **Priority**
2. Investigate upload security issues for web scraper (see also issue [#451](https://github.com/WheatonCS/Lexos/issues/451), [#500](https://github.com/WheatonCS/Lexos/issues/500)). **Priority**
3. Investigate whether the Multicloud algorithm can be changed to prevent browser freezes ([#484](https://github.com/WheatonCS/Lexos/issues/484)).
4. How to handle number of leaves display in cluster ([#503](https://github.com/WheatonCS/Lexos/issues/503)).
5. Adopt modularization with Flask Blueprints ([#508](https://github.com/WheatonCS/Lexos/issues/503)). **DONE**
6. Implement webpack, or, more likely, a custom method of minifying and bundling static assets ([#485](https://github.com/WheatonCS/Lexos/issues/485)).

## v3.7. New Features

1. External tokenization library integration.
2. Interactive dendrograms.
3. Bootstrap consensus trees. **Priority**
4. Web scraper UI.
5. Ribbon diagram.

## Python 3 Notes

1. Starting with commit 06bbde9cc9157c54ce2f3d00a2a831238e128c18 (21 January 2017), commits to master are not in Cheng’s Python 3 conversion. We should check whether they have been merged as of 7 July 2017.
