# K-Means Clustering

This function clusters the texts together using K-Means to show 
similarity between texts

*Test Files:* HenryWP_ThePirate.txt, Irving_ripVanWrinkle.txt, 
Lippard_BelOfPrairieEden.txt, Melville_MobyDick.txt, 
Poe_FallOfHouseUsher_1839.txt

*Result Files:* results_defaults.png, results_byCharacters.png, 
results_numberOfClusters.png, results_2D_Scatter.png, results_3D_Scatter.png,
results_rawCounts.png, results_culling.png



## Test Default Settings

0. UPLOAD ALL TEST FILES:
    - HenryWP_ThePirate.txt
    - Irving_ripVanWrinkle.txt, 
    - Lippard_BelOfPrairieEden.txt
    - Melville_MobyDick.txt, 
    - Poe_FallOfHouseUsher_1839.txt

1. K-Means Clustering 
	- Change **NO** settings  
	
Results:
- results_defaults.png


## Test Tokenize by Characters

0. UPLOAD ALL TEST FILES:
    - HenryWP_ThePirate.txt
    - Irving_ripVanWrinkle.txt, 
    - Lippard_BelOfPrairieEden.txt
    - Melville_MobyDick.txt, 
    - Poe_FallOfHouseUsher_1839.txt

1. K-Means Clustering 
	- Change Tokenize to "by Characters"
	- Keep all other settings as default
	
Results:
- results_byCharacters.png


## Test Number pf Clusters

0. UPLOAD ALL TEST FILES:
    - HenryWP_ThePirate.txt
    - Irving_ripVanWrinkle.txt, 
    - Lippard_BelOfPrairieEden.txt
    - Melville_MobyDick.txt, 
    - Poe_FallOfHouseUsher_1839.txt

1. K-Means Clustering 
	- Change Number of Clusters (K-Value) to 5
	- Keep all other settings as default
	
Results:
- results_numberOfClusters.png


## Test Method of Visualization, 2D scatter

0. UPLOAD ALL TEST FILES:
    - HenryWP_ThePirate.txt
    - Irving_ripVanWrinkle.txt, 
    - Lippard_BelOfPrairieEden.txt
    - Melville_MobyDick.txt, 
    - Poe_FallOfHouseUsher_1839.txt

1. K-Means Clustering 
	- Change Method of Visualization to 2D-Scatter
	- Keep all other settings as default
	
Results:
- results_2D_Scatter.png


## Test Method of Visualization, 3D scatter

0. UPLOAD ALL TEST FILES:
    - HenryWP_ThePirate.txt
    - Irving_ripVanWrinkle.txt, 
    - Lippard_BelOfPrairieEden.txt
    - Melville_MobyDick.txt, 
    - Poe_FallOfHouseUsher_1839.txt

1. K-Means Clustering 
	- Change Method of Visualization to 3D-Scatter
	- Keep all other settings as default
	
Results:
- results_3D_Scatter.png


## Test Culling Options, Culling

0. UPLOAD ALL TEST FILES:
    - HenryWP_ThePirate.txt
    - Irving_ripVanWrinkle.txt, 
    - Lippard_BelOfPrairieEden.txt
    - Melville_MobyDick.txt, 
    - Poe_FallOfHouseUsher_1839.txt

1. Hierarchical Clustering 
	- Select Culling Options, Culling
	- Change Must be in Documents to 5
	- Keep all other settings as default
	
Results:
- results_culling.png


## Test Normalize, Raw Counts

0. UPLOAD ALL TEST FILES:
    - HenryWP_ThePirate.txt
    - Irving_ripVanWrinkle.txt, 
    - Lippard_BelOfPrairieEden.txt
    - Melville_MobyDick.txt, 
    - Poe_FallOfHouseUsher_1839.txt

1. Hierarchical Clustering 
    - Select Normalize, Raw Counts
	- Keep all other settings as default
	
Results:
- results_rawCounts.png
